jQuery(document).ready(function () {
    var dateChange = {
        addDays: function (value, num) {
            var d = new Date(value);
            var newDate = new Date(d.setDate(d.getDate() + num));
            return newDate;
        },
        addYears: function (value, num) {
            var d = new Date(value);
            var newDate = new Date(d.setFullYear(d.getFullYear() + num));
            return newDate;
        }
    };

    function dateformatting(parameter) {
        var monthNames = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        var date = new Date(parameter);
        var day = date.getDate();
        var monthIndex = date.getMonth();
        var year = date.getFullYear();
        var formatted = monthNames[monthIndex] + " " + day + ", " + year;
        return formatted; 
    }
    jQuery('ul#menu-top-menu li').hover(function () {
        var menu_id = jQuery(this).attr('id');
        jQuery('#' + menu_id + ' .sub-menu').fadeIn();
    }, function () {
        var menu_id = jQuery(this).attr('id');
        jQuery('#' + menu_id + ' .sub-menu').hide();
    });
    jQuery('#mobile-menu').click(function () {
        if (jQuery(this).hasClass('open')) {
            jQuery('#menu-top-menu').hide();
            jQuery(this).removeClass('open');
        } else {
            jQuery('#menu-top-menu').show();
            jQuery(this).addClass('open');
        }
    });
    
    var month = [" ","Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
    var checkIn = jQuery('input[name="arrival_date"]').val();
    var checkIn = checkIn.split("/");
    var num1 = checkIn[0];
        num1 = parseInt(num1);
    jQuery('.check-in .month').html(month[num1]);
    jQuery('.check-in .day').html(checkIn[1]);
    jQuery('.check-in .year').html(checkIn[2]);
    var checkOut = jQuery('input[name="departure_date"]').val();
    var checkOut = checkOut.split("/");
    var num2 = checkOut[0];
        num2 = parseInt(num2);
    jQuery('.check-out .month').html(month[num2]);
    jQuery('.check-out .day').html(checkOut[1]);
    jQuery('.check-out .year').html(checkOut[2]);
    jQuery('#bookingengine .check-in').click(function (e) {
        e.preventDefault();
        e.stopPropagation();
        jQuery('input[name="arrival_date"]').focus();
    });
    jQuery('#bookingengine .check-out').click(function (e) {
        e.preventDefault();
        e.stopPropagation();
        jQuery('input[name="departure_date"]').focus();
    });
    var priorarrival = 0;
    var pid = jQuery('#addon-script').data("sync");
    if (typeof pid != 'undefined') {
        jQuery.ajax("//instantonlinebooking.com/manage/widget/q/" + pid).done(function (data) {
            var result = jQuery.parseJSON(data);
            var priorarrival = result['policy']['priorarrival'];
            var property = result['property']['parameter'];
            var startvalid = result['rolling']['valfrom'];
            var endvalid = result['rolling']['valto'];
            var todayDate = jQuery('#datetime').attr("rel");
            var newTodayDate = new Date(todayDate);
            var today = dateChange.addDays(newTodayDate, priorarrival);
            var tomorrow = dateChange.addDays(today, 1);
            var todayformat = dateformatting(today);
            var tomorrowformat = dateformatting(tomorrow);
            jQuery('input[name="property_id"]').val(property);
            jQuery('#dates').attr("action", result['property']['url'] + result['frame']);
            jQuery('#modifycancel').attr("action", result['property']['url'] + result['frame']);
            if (result['rolling']['rolling'] == 'yes') {
                var today1 = todayformat;
                var end2raw = dateChange.addYears(today, 1);
                var end1raw = dateChange.addDays(end2raw, -1);
                var end2 = dateformatting(end2raw);
                var end1 = dateformatting(end1raw);
            } else {
                var start = dateformatting(startvalid);
                var end = dateformatting(endvalid);
                var today1 = todayformat;
                var end2 = end;
                var end1Raw = dateChange.addDays(end2, -1);
                var end1 = dateformatting(end1Raw);
            }
            jQuery('input[name="arrival_date"]').datepicker({
                inline: true,
                minDate: today,
                maxDate: end1raw,
                dateFormat: 'm/dd/yy',
                monthNames: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
                onSelect: function (dateText, inst) {
                    var departDate = dateChange.addDays(jQuery('input[name="arrival_date"]').datepicker("getDate"), 1);
                    jQuery('input[name="departure_date"]').datepicker("option", "minDate", departDate);
                    jQuery('input[name="departure_date"]').datepicker("setDate", departDate);
                    updateCalendar();
                }
            });
            jQuery('input[name="departure_date"]').datepicker({
                inline: true,
                maxDate: end1raw,
                dateFormat: 'm/dd/yy',
                monthNames: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
                onSelect: function (dateText,inst) {
                    updateCalendar();
                }
            });
        });
    }
    
    function updateCalendar() {
        var month = [" ","Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        var checkIn = jQuery('input[name="arrival_date"]').val();
        var checkIn = checkIn.split("/");
        jQuery('.check-in .month').html(month[checkIn[0]]); jQuery('.check-in .day').html(checkIn[1]); jQuery('.check-in .year').html(checkIn[2]);
        var checkOut = jQuery('input[name="departure_date"]').val();
        var checkOut = checkOut.split("/");
        jQuery('.check-out .month').html(month[checkOut[0]]); jQuery('.check-out .day').html(checkOut[1]); jQuery('.check-out .year').html(checkOut[2]);
        
        
    }
});